7.1. ( Distro ) - What Linux Distributions support IP Masquerading?

If your Linux distribution doesn't support IP MASQ out of the box, don't worry. All you have to do is to re-compile the kernel as shown above in this HOWTO.

NOTE: If you can help us fill out this table, please email dranch@trinnet.net.

  • Caldera < v1.2 : NO - ?

  • Caldera v1.3 : YES - 2.0.35 based

  • Caldera v2.2 : YES - 2.2.5 based

  • Caldera eServer v2.3 : YES - ? based

  • Debian v1.3 : NO - ?

  • Debian v2.0 : NO - ?

  • Debian v2.1 : YES - 2.2.1 based

  • Debian v2.2 : YES - 2.2.15 based

  • Debian v3.0 : YES - 2.4.18 based

  • DLX Linux v? : ? - ?

  • DOS Linux v? : ? - ?

  • FloppyFW v1.0.2 : ? - ?

  • Gentoo v1.4 : YES - ? Based

  • Hal91 Linux v? : ? - ?

  • Linux PPC vR4 : NO - ?

  • Linux Pro v? : ? - ?

  • LinuxWare v? : ? - ?

  • Mandrake v5.3 : YES - ?

  • Mandrake v6.0 : YES - 2.2.5

  • Mandrake v6.1 : YES - ?

  • Mandrake v7.0 : YES - 2.2.14

  • Mandrake v7.1 : YES - 2.2.15

  • Mandrake v7.2 : YES - 2.2.17

  • Mandrake v8.0 : YES - ?

  • Mandrake v8.1 : YES - 2.4.8

  • Mandrake v8.2 : YES - ?

  • Mandrake v9.0 : YES - ?

  • Mandrake v9.1 : YES - 2.4.21-pre

  • MkLinux v? : ? - ?

  • MuLinux v3rl : YES - ?

  • Redhat < v4.x : NO - ?

  • Redhat v5.0 : YES - ?

  • Redhat v5.1 : YES - 2.0.34 based

  • Redhat v5.2 : YES - 2.0.36 based

  • Redhat v6.0 : YES - 2.2.5 based

  • Redhat v6.1 : YES - 2.2.12 based

  • Redhat v6.2 : YES - 2.2.14 based

  • Redhat v7.0 : YES - 2.2.16 based

  • Redhat v7.2 : YES - 2.4.7 based

  • Redhat v7.3 : YES - 2.4.? based

  • Redhat v8.0 : YES - 2.4.18? based

  • Redhat v9.0 : YES - 2.4.20 based

  • Slackware v3.0 : ? - ?

  • Slackware v3.1 : ? - ?

  • Slackware v3.2 : ? - ?

  • Slackware v3.3 : ? - 2.0.34 based

  • Slackware v3.4 : ? - ?

  • Slackware v3.5 : ? - ?

  • Slackware v3.6 : ? - ?

  • Slackware v3.9 : ? - 2.0.37pre10 based

  • Slackware v4.0 : YES - 2.2.6 based

  • Slackware v7.0 : YES - 2.2.13 based

  • Slackware v7.1 : YES - 2.2.16 based

  • Slackware v8.0 : YES - 2.4.17 based

  • Slackware v8.1 : YES - ? based

  • Stampede Linux v? : ? - ?

  • SuSE v5.2 : YES - 2.0.32 base

  • SuSE v5.3 : YES - ?

  • SuSE v6.0 : YES - 2.0.36 based

  • SuSE v6.1 : YES - 2.2.5 based

  • SuSE v6.3 : YES - 2.2.13 based

  • Tomsrbt Linux v? : ? - ?

  • TurboLinux Lite v4.0 : YES - ?

  • TurboLinux v6.0 : YES - 2.2.12 based

  • TriLinux v? : ? - ?

  • Yggdrasil Linux v? : ? - ?

Copyright © 2010-2018 Platon Technologies, s.r.o.           Home | Man pages | tLDP | Documents | Utilities | About
Design by styleshout